function run_extension() {
  function setDisplay(id, val) {
    var el = document.getElementById(id);
    if (el) el.style.display = val;
    return el;
  }

  function show(id) { return setDisplay(id,''); }
  function hide(id) { return setDisplay(id,'none'); }

  show('refresh_map');
  hide('extension_blurb');
  
  if (show('fetching_rq_hq_map')) {
    set_map(function(rq_hq_map) {
      hide('fetching_rq_hq_map');
      show(rq_hq_map ? 'rq_hq_map_updated' : 'rq_hq_map_fetch_failed');
    }, true);
  }
}

document.addEventListener('turbolinks:load', run_extension, true);
document.addEventListener('tubeacca:ajax', run_extension, true);
